MediaSize.JIS (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.MediaSize.JIS class
Date: 2018-07-01

javax.print.attribute.standard

## Class MediaSize.JIS

- java.lang.Object
- - javax.print.attribute.standard.MediaSize.JIS

- Enclosing class:
    MediaSize

      public static final class MediaSize.JIS
      extends Object

  Class MediaSize.JIS includes `MediaSize` values for JIS (Japanese) media. *

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MediaSize` | `B0` Specifies the JIS B0 size, 1030 mm by 1456 mm.
    `static MediaSize` | `B1` Specifies the JIS B1 size, 728 mm by 1030 mm.
    `static MediaSize` | `B10` Specifies the JIS B10 size, 32 mm by 45 mm.
    `static MediaSize` | `B2` Specifies the JIS B2 size, 515 mm by 728 mm.
    `static MediaSize` | `B3` Specifies the JIS B3 size, 364 mm by 515 mm.
    `static MediaSize` | `B4` Specifies the JIS B4 size, 257 mm by 364 mm.
    `static MediaSize` | `B5` Specifies the JIS B5 size, 182 mm by 257 mm.
    `static MediaSize` | `B6` Specifies the JIS B6 size, 128 mm by 182 mm.
    `static MediaSize` | `B7` Specifies the JIS B7 size, 91 mm by 128 mm.
    `static MediaSize` | `B8` Specifies the JIS B8 size, 64 mm by 91 mm.
    `static MediaSize` | `B9` Specifies the JIS B9 size, 45 mm by 64 mm.
    `static MediaSize` | `CHOU_1` Specifies the JIS Chou ("long") #1 envelope size, 142 mm by 332 mm.
    `static MediaSize` | `CHOU_2` Specifies the JIS Chou ("long") #2 envelope size, 119 mm by 277 mm.
    `static MediaSize` | `CHOU_3` Specifies the JIS Chou ("long") #3 envelope size, 120 mm by 235 mm.
    `static MediaSize` | `CHOU_30` Specifies the JIS Chou ("long") #30 envelope size, 92 mm by 235 mm.
    `static MediaSize` | `CHOU_4` Specifies the JIS Chou ("long") #4 envelope size, 90 mm by 205 mm.
    `static MediaSize` | `CHOU_40` Specifies the JIS Chou ("long") #40 envelope size, 90 mm by 225 mm.
    `static MediaSize` | `KAKU_0` Specifies the JIS Kaku ("square") #0 envelope size, 287 mm by 382 mm.
    `static MediaSize` | `KAKU_1` Specifies the JIS Kaku ("square") #1 envelope size, 270 mm by 382 mm.
    `static MediaSize` | `KAKU_2` Specifies the JIS Kaku ("square") #2 envelope size, 240 mm by 332 mm.
    `static MediaSize` | `KAKU_20` Specifies the JIS Kaku ("square") #20 envelope size, 229 mm by 324 mm.
    `static MediaSize` | `KAKU_3` Specifies the JIS Kaku ("square") #3 envelope size, 216 mm by 277 mm.
    `static MediaSize` | `KAKU_4` Specifies the JIS Kaku ("square") #4 envelope size, 197 mm by 267 mm.
    `static MediaSize` | `KAKU_5` Specifies the JIS Kaku ("square") #5 envelope size, 190 mm by 240 mm.
    `static MediaSize` | `KAKU_6` Specifies the JIS Kaku ("square") #6 envelope size, 162 mm by 229 mm.
    `static MediaSize` | `KAKU_7` Specifies the JIS Kaku ("square") #7 envelope size, 142 mm by 205 mm.
    `static MediaSize` | `KAKU_8` Specifies the JIS Kaku ("square") #8 envelope size, 119 mm by 197 mm.
    `static MediaSize` | `KAKU_A4` Specifies the JIS Kaku ("square") A4 envelope size, 228 mm by 312 mm.
    `static MediaSize` | `YOU_1` Specifies the JIS You ("Western") #1 envelope size, 120 mm by 176 mm.
    `static MediaSize` | `YOU_2` Specifies the JIS You ("Western") #2 envelope size, 114 mm by 162 mm.
    `static MediaSize` | `YOU_3` Specifies the JIS You ("Western") #3 envelope size, 98 mm by 148 mm.
    `static MediaSize` | `YOU_4` Specifies the JIS You ("Western") #4 envelope size, 105 mm by 235 mm.
    `static MediaSize` | `YOU_5` Specifies the JIS You ("Western") #5 envelope size, 95 mm by 217 mm.
    `static MediaSize` | `YOU_6` Specifies the JIS You ("Western") #6 envelope size, 98 mm by 190 mm.
    `static MediaSize` | `YOU_7` Specifies the JIS You ("Western") #7 envelope size, 92 mm by 165 mm.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### B0

          public static final MediaSize B0

      Specifies the JIS B0 size, 1030 mm by 1456 mm.

    - #### B1

          public static final MediaSize B1

      Specifies the JIS B1 size, 728 mm by 1030 mm.

    - #### B2

          public static final MediaSize B2

      Specifies the JIS B2 size, 515 mm by 728 mm.

    - #### B3

          public static final MediaSize B3

      Specifies the JIS B3 size, 364 mm by 515 mm.

    - #### B4

          public static final MediaSize B4

      Specifies the JIS B4 size, 257 mm by 364 mm.

    - #### B5

          public static final MediaSize B5

      Specifies the JIS B5 size, 182 mm by 257 mm.

    - #### B6

          public static final MediaSize B6

      Specifies the JIS B6 size, 128 mm by 182 mm.

    - #### B7

          public static final MediaSize B7

      Specifies the JIS B7 size, 91 mm by 128 mm.

    - #### B8

          public static final MediaSize B8

      Specifies the JIS B8 size, 64 mm by 91 mm.

    - #### B9

          public static final MediaSize B9

      Specifies the JIS B9 size, 45 mm by 64 mm.

    - #### B10

          public static final MediaSize B10

      Specifies the JIS B10 size, 32 mm by 45 mm.

    - #### CHOU_1

          public static final MediaSize CHOU_1

      Specifies the JIS Chou ("long") #1 envelope size, 142 mm by 332 mm.

    - #### CHOU_2

          public static final MediaSize CHOU_2

      Specifies the JIS Chou ("long") #2 envelope size, 119 mm by 277 mm.

    - #### CHOU_3

          public static final MediaSize CHOU_3

      Specifies the JIS Chou ("long") #3 envelope size, 120 mm by 235 mm.

    - #### CHOU_4

          public static final MediaSize CHOU_4

      Specifies the JIS Chou ("long") #4 envelope size, 90 mm by 205 mm.

    - #### CHOU_30

          public static final MediaSize CHOU_30

      Specifies the JIS Chou ("long") #30 envelope size, 92 mm by 235 mm.

    - #### CHOU_40

          public static final MediaSize CHOU_40

      Specifies the JIS Chou ("long") #40 envelope size, 90 mm by 225 mm.

    - #### KAKU_0

          public static final MediaSize KAKU_0

      Specifies the JIS Kaku ("square") #0 envelope size, 287 mm by 382 mm.

    - #### KAKU_1

          public static final MediaSize KAKU_1

      Specifies the JIS Kaku ("square") #1 envelope size, 270 mm by 382 mm.

    - #### KAKU_2

          public static final MediaSize KAKU_2

      Specifies the JIS Kaku ("square") #2 envelope size, 240 mm by 332 mm.

    - #### KAKU_3

          public static final MediaSize KAKU_3

      Specifies the JIS Kaku ("square") #3 envelope size, 216 mm by 277 mm.

    - #### KAKU_4

          public static final MediaSize KAKU_4

      Specifies the JIS Kaku ("square") #4 envelope size, 197 mm by 267 mm.

    - #### KAKU_5

          public static final MediaSize KAKU_5

      Specifies the JIS Kaku ("square") #5 envelope size, 190 mm by 240 mm.

    - #### KAKU_6

          public static final MediaSize KAKU_6

      Specifies the JIS Kaku ("square") #6 envelope size, 162 mm by 229 mm.

    - #### KAKU_7

          public static final MediaSize KAKU_7

      Specifies the JIS Kaku ("square") #7 envelope size, 142 mm by 205 mm.

    - #### KAKU_8

          public static final MediaSize KAKU_8

      Specifies the JIS Kaku ("square") #8 envelope size, 119 mm by 197 mm.

    - #### KAKU_20

          public static final MediaSize KAKU_20

      Specifies the JIS Kaku ("square") #20 envelope size, 229 mm by 324 mm.

    - #### KAKU_A4

          public static final MediaSize KAKU_A4

      Specifies the JIS Kaku ("square") A4 envelope size, 228 mm by 312 mm.

    - #### YOU_1

          public static final MediaSize YOU_1

      Specifies the JIS You ("Western") #1 envelope size, 120 mm by 176 mm.

    - #### YOU_2

          public static final MediaSize YOU_2

      Specifies the JIS You ("Western") #2 envelope size, 114 mm by 162 mm.

    - #### YOU_3

          public static final MediaSize YOU_3

      Specifies the JIS You ("Western") #3 envelope size, 98 mm by 148 mm.

    - #### YOU_4

          public static final MediaSize YOU_4

      Specifies the JIS You ("Western") #4 envelope size, 105 mm by 235 mm.

    - #### YOU_5

          public static final MediaSize YOU_5

      Specifies the JIS You ("Western") #5 envelope size, 95 mm by 217 mm.

    - #### YOU_6

          public static final MediaSize YOU_6

      Specifies the JIS You ("Western") #6 envelope size, 98 mm by 190 mm.

    - #### YOU_7

          public static final MediaSize YOU_7

      Specifies the JIS You ("Western") #7 envelope size, 92 mm by 165 mm.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.